/*
 * Copyright 2014 Google Inc. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.devtools.kythe.platform.shared;

/**
 * Exception to signal catastrophic failure in sharded analysis.
 */
public class AnalysisException extends Exception {
  private static final long serialVersionUID = -2938235520850434072L;

  public AnalysisException(String message) {
    super(message);
  }

  public AnalysisException(String message, Throwable innerException) {
    super(message, innerException);
  }

  public AnalysisException(Throwable innerException) {
    super(innerException);
  }
}
